org.springframework.jms.config

## Class DefaultJcaListenerContainerFactory

- java.lang.Object
- - org.springframework.jms.listener.endpoint.JmsActivationSpecConfig
  - - org.springframework.jms.config.DefaultJcaListenerContainerFactory

All Implemented Interfaces:
  JmsListenerContainerFactory<JmsMessageEndpointManager>

    public class DefaultJcaListenerContainerFactory
    extends JmsActivationSpecConfig
    implements JmsListenerContainerFactory<JmsMessageEndpointManager>

A `JmsListenerContainerFactory` implementation to build a JCA-based `JmsMessageEndpointManager`.

Since:
  4.1
Author:
  Stephane Nicoll

### Constructor Summary

Constructors
Constructor and Description
`DefaultJcaListenerContainerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected JmsMessageEndpointManager` `createContainerInstance()` Create an empty container instance.
`JmsMessageEndpointManager` `createListenerContainer(JmsListenerEndpoint endpoint)` Create a `MessageListenerContainer` for the given `JmsListenerEndpoint`.
`void` `setActivationSpecFactory(JmsActivationSpecFactory activationSpecFactory)`
`void` `setDestinationResolver(DestinationResolver destinationResolver)`
`void` `setPhase(int phase)`
`void` `setResourceAdapter(ResourceAdapter resourceAdapter)`
`void` `setTransactionManager(Object transactionManager)`

### Methods inherited from class org.springframework.jms.listener.endpoint.JmsActivationSpecConfig

`getAcknowledgeMode, getClientId, getDestinationName, getDurableSubscriptionName, getMaxConcurrency, getMessageConverter, getMessageSelector, getPrefetchSize, getReplyQosSettings, getSubscriptionName, isPubSubDomain, isReplyPubSubDomain, isSubscriptionDurable, isSubscriptionShared, setAcknowledgeMode, setAcknowledgeModeName, setClientId, setConcurrency, setDestinationName, setDurableSubscriptionName, setMaxConcurrency, setMessageConverter, setMessageSelector, setPrefetchSize, setPubSubDomain, setReplyPubSubDomain, setReplyQosSettings, setSubscriptionDurable, setSubscriptionName, setSubscriptionShared`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultJcaListenerContainerFactory

    public DefaultJcaListenerContainerFactory()

### Method Detail

#### setResourceAdapter

    public void setResourceAdapter(ResourceAdapter resourceAdapter)

See Also:
  `GenericMessageEndpointManager.setResourceAdapter(ResourceAdapter)`

#### setActivationSpecFactory

    public void setActivationSpecFactory(JmsActivationSpecFactory activationSpecFactory)

See Also:
  `JmsMessageEndpointManager.setActivationSpecFactory(JmsActivationSpecFactory)`

#### setDestinationResolver

    public void setDestinationResolver(DestinationResolver destinationResolver)

See Also:
  `JmsMessageEndpointManager.setDestinationResolver(DestinationResolver)`

#### setTransactionManager

    public void setTransactionManager(Object transactionManager)

See Also:
  `JmsMessageEndpointManager.setTransactionManager(Object)`

#### setPhase

    public void setPhase(int phase)

See Also:
  `GenericMessageEndpointManager.setPhase(int)`

#### createListenerContainer

    public JmsMessageEndpointManager createListenerContainer(JmsListenerEndpoint endpoint)

Description copied from interface: `JmsListenerContainerFactory`
Create a `MessageListenerContainer` for the given `JmsListenerEndpoint`.

Specified by:
  `createListenerContainer` in interface `JmsListenerContainerFactory<JmsMessageEndpointManager>`
Parameters:
  `endpoint` - the endpoint to configure
Returns:
  the created container

#### createContainerInstance

    protected JmsMessageEndpointManager createContainerInstance()

Create an empty container instance.